      subroutine ecriscouleur(c,cc,l)
      character*(*) cc
      character*4 ccc
      if (c.ge..9995) then
        l = 1
        cc(1:1) = '1'
      elseif (c.le..0005) then
        l = 1
        cc(1:1) = '0'
      else
        write (ccc,'(f4.3)') c
        l = 4
        cc(1:4) = ccc(1:4)
      endif
      end
